Package com.google.earth.kml._2

# Class RegionType

java.lang.Object
com.google.earth.kml._2.ObjectType
com.google.earth.kml._2.RegionType

public class RegionType extends ObjectType
<p>Java class for RegionType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="RegionType"> <complexContent> <extension base="{http://earth.google.com/kml/2.1}ObjectType"> <all> <element ref="{http://earth.google.com/kml/2.1}LatLonAltBox"/> <element ref="{http://earth.google.com/kml/2.1}Lod" minOccurs="0"/> </all> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected LatLonAltBoxType`
  `latLonAltBox`
  `protected LodType`
  `lod`

  ### Fields inherited from class com.google.earth.kml._2.ObjectType

  `id, targetId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegionType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LatLonAltBoxType`
  `getLatLonAltBox()`
  Gets the value of the latLonAltBox property.
  `LodType`
  `getLod()`
  Gets the value of the lod property.
  `void`
  `setLatLonAltBox(LatLonAltBoxType value)`
  Sets the value of the latLonAltBox property.
  `void`
  `setLod(LodType value)`
  Sets the value of the lod property.

  ### Methods inherited from class com.google.earth.kml._2.ObjectType

  `getId, getTargetId, setId, setTargetId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### latLonAltBox

    protected LatLonAltBoxType latLonAltBox

  - ### lod

    protected LodType lod

- ## Constructor Details

  - ### RegionType

    public RegionType()

- ## Method Details

  - ### getLatLonAltBox

    public LatLonAltBoxType getLatLonAltBox()
    Gets the value of the latLonAltBox property.
    Returns:
      possible object is `LatLonAltBoxType`

  - ### setLatLonAltBox

    public void setLatLonAltBox(LatLonAltBoxType value)
    Sets the value of the latLonAltBox property.
    Parameters:
      `value` - allowed object is `LatLonAltBoxType`

  - ### getLod

    public LodType getLod()
    Gets the value of the lod property.
    Returns:
      possible object is `LodType`

  - ### setLod

    public void setLod(LodType value)
    Sets the value of the lod property.
    Parameters:
      `value` - allowed object is `LodType`